Package com.google.android.exoplayer2.testutil

## Class FakeMetadataEntry

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeMetadataEntry

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class FakeMetadataEntry
      extends Object
      implements Metadata.Entry

  A fake `Metadata.Entry`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<FakeMetadataEntry>` | `CREATOR` |
    `String` | `data` |

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FakeMetadataEntry​(String data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### data

          public final String data

    - #### CREATOR

          public static final Parcelable.Creator<FakeMetadataEntry> CREATOR

  - ### Constructor Detail

    - #### FakeMetadataEntry

          public FakeMetadataEntry​(String data)

  - ### Method Detail

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`